Subject: bug#57959: 29.0.50; build error on gnulinux

From: Gregory Heytings <[email-masked]>
Date: Wed, 21 Sep 2022 08:23:10 +0000

>
> Getting this in latest commit as well 
> (1231a601ebe1fd9fe454c504dbeb9267440242e7). Tried after `git clean -fdx` 
> as well. Here are some errors that I noticed (besides earlier messages),
>
> --8<---------------cut here---------------start------------->8---
> make[3]: Entering directory '/home/pankaj/work/gnu/emacs/lib'
>  GEN      unistd.h
>  CC       fingerprint.o
>  CC       mktime.o
>  CC       acl-errno-valid.o
>  CC       acl-internal.o
>  CC       get-permissions.o
>  CC       set-permissions.o
>  CC       allocator.o
> mv: cannot stat 'unistd.h-t': No such file or directory
> make[3]: *** [gnulib.mk:3801: unistd.h] Error 1
> make[3]: Leaving directory '/home/pankaj/work/gnu/emacs/lib'
> make[2]: *** [Makefile:529: lib] Error 2
> make[2]: *** Waiting for unfinished jobs....
> --8<---------------cut here---------------end--------------->8---
>
> --8<---------------cut here---------------start------------->8---
>  CC       malloc/dynarray_resize_clear.o
> mv: cannot stat 'info/dir.tmp': No such file or directory
> make[2]: *** [Makefile:1152: info/dir] Error 1
> --8<---------------cut here---------------end--------------->8---
>

I don't know what is happening on your computer, but as you see the error 
is AFAIU unrelated to 7c8a131984, something goes wrong during the build. 
I just tried 1231a601eb (on Debian bookworm), and it worked as expected.

What's the exact "make" command you type?  Can you try "git clean -fdx" 
followed by "make" (without any other arguments, except -j<some number>)?